package com.yizhi.assignment.application.vo;

import java.util.List;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@Api(tags = "AssignmentListVo", description = "管理端作业列表入参")
public class AssignmentListVoTo {
	
	@ApiModelProperty(name="name",value="name",required=false)
	private String name;   
	
	
	
	
	@ApiModelProperty(name="source",value="0直接进来的  1 培训项目进来的 2投票进来",required=false)
	private Integer source=0;
	
	@ApiModelProperty(name="pageNo",value="pageNo",required=false)
	private Integer pageNo;     
	
	@ApiModelProperty(name="pageSize",value="pageSize",required=false)
	private Integer pageSize;
	
	@ApiModelProperty(name="orgIds",value="orgIds",required=false)
	private List<Long> orgIds;
	
	@ApiModelProperty(name="siteId",value="siteId",required=false)
	private Long siteId;
	
	@ApiModelProperty(name="companyId",value="companyId",required=false)
	private Long companyId;

    private List<Long> accountIds;

}
