package com.yizhi.assignment.application.vo;

import java.util.List;
import com.yizhi.assignment.application.vo.entity.AssignmentStudent;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


@Data
public class AssignmentQXVO {
	
	@ApiModelProperty(name="作业名字",value="作业名字")
	private String name;
	
	@ApiModelProperty(name="siteId",value="站点id")
	private Long siteId;
	
	@ApiModelProperty(name="visibleRange",value="可见范围(1：平台用户可见，2：指定学员可见)，默认平台用户可见")
	private Integer visibleRange;
	
	@ApiModelProperty(name="指定范围的组织，用户，用户组",value="指定范围的组织，用户，用户组")
	private List<AssignmentStudent> listStudent;
	
	@ApiModelProperty(name="已经提交的作业人员",value="已经提交的作业人员")
	private List<Long> listSubmitAccountId;

}
