package com.yizhi.assignment.application.vo;

import com.yizhi.assignment.application.vo.apivo.ApiFileVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @ClassName AssignmentExerciseBookListVO
 * @Description TODO
 * @Author shengchenglong
 * @DATE 2019-10-22 11:26
 * @Version 1.0
 */
@Data
@ApiModel("学员端-作业本-列表VO")
public class AssignmentStudentExerciseBookListVO {

    @ApiModelProperty("提交作业的id")
    private Long assignmentAnswerId;

    @ApiModelProperty("提交次数")
    private int commitNum;

    @ApiModelProperty("提交时间")
    private Date commitTime;

    @ApiModelProperty("提交人")
    private String accountName;

    @ApiModelProperty("作业提交内容")
    private String content;

    @ApiModelProperty("点赞次数")
    private int thumbpsTimes;

    @ApiModelProperty("提交人头像")
    private String headPortrait;

    @ApiModelProperty("是否对该作业本点过赞")
    private boolean hasThumbUp;

    @ApiModelProperty("附件列表")
    private List<ApiFileVo> fileVos;
}
