package com.yizhi.assignment.application.vo.entity;

import java.io.Serializable;

import java.util.Date;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.annotations.Version;
import com.baomidou.mybatisplus.enums.FieldFill;

import lombok.Data;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 
 * </p>
 *
 * @author yizhi123
 * @since 2018-09-04
 */
@Data
@Api(tags = "AssignmentPoint", description = "")
@TableName("assignment_point")
public class AssignmentPoint extends Model<AssignmentPoint> {

    private static final long serialVersionUID = 1L;


@ApiModelProperty(value = "id主键")
	private Long id;

@ApiModelProperty(value = "任务id")
	@TableField("assignment_id")
	private Long assignmentId;

@ApiModelProperty(value = "开始分数")
	@TableField("min_score")
	private Integer minScore;

@ApiModelProperty(value = "结束分数")
	@TableField("max_score")
	private Integer maxScore;

@ApiModelProperty(value = "获取积分")
	@TableField("point")
	private Integer point;

@ApiModelProperty(value = "创建人id")
	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;

@ApiModelProperty(value = "创建人姓名")
	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;

@ApiModelProperty(value = "创建时间")
	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
