package com.yizhi.application.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 一个学员对一个作业的回复内容
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
@Data

@TableName("assignment_answer_course")
public class AssignmentAnswerCourse extends Model<AssignmentAnswerCourse> {

    private static final long serialVersionUID = 1L;


    
    private Long id;

    
    @TableField("answer_id")
    private Long answerId;

    
    @TableField("mid")
    private Long mid;

    
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    
    @TableField(value = "update_by_id", fill = FieldFill.INSERT)
    private Long updateById;

    
    @TableField(value = "update_by_name", fill = FieldFill.INSERT)
    private String updateByName;

    
    @TableField(value = "update_time", fill = FieldFill.INSERT)
    private Date updateTime;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
