package com.yizhi.application.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author yizhi123
 * @since 2018-09-04
 */
@Data

@TableName("assignment_point")
public class AssignmentPoint extends Model<AssignmentPoint> {

    private static final long serialVersionUID = 1L;



	private Long id;


	@TableField("assignment_id")
	private Long assignmentId;


	@TableField("min_score")
	private Integer minScore;


	@TableField("max_score")
	private Integer maxScore;


	@TableField("point")
	private Integer point;


	@TableField(value = "create_by_id", fill = FieldFill.INSERT)
	private Long createById;


	@TableField(value = "create_by_name", fill = FieldFill.INSERT)
	private String createByName;


	@TableField(value = "create_time", fill = FieldFill.INSERT)
	private Date createTime;


	@Override
	protected Serializable pkVal() {
		return this.id;
	}

}
