package com.yizhi.application.service;

import com.yizhi.application.entity.AssignmentContent;
import com.baomidou.mybatisplus.service.IService;

/**
 * <p>
 * 老师布置的作业的内容 服务类
 * </p>
 *
 * @author 王飞达123
 * @since 2018-03-08
 */
public interface AssignmentContentService extends IService<AssignmentContent> {
	/**
	 * 根据id查看作业内容
	 * @param id
	 * @return
	 */
	AssignmentContent findById(Long id);
	
	/**
	 * 根据作业id（不是主键id）找到作业内容
	 * @param assignmentId
	 * @return
	 */
	AssignmentContent findByAssignmentId(Long assignmentId);
}
