package com.yizhi.assignment.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;


@Data
@Api(tags = "AnswerListVo")
public class AnswerListVo {

    @ApiModelProperty(name = "assignmentId", value = "老师布置作业的id")
    private Long assignmentId;

    @ApiModelProperty(name = "state", value = "批阅状态（1:待阅，2：已阅,不传则为所有）")
    private Integer state;

    @ApiModelProperty(name = "name", value = "用户名/姓名/标签")
    private String name;

    @ApiModelProperty(name = "keywords", value = "部门关键字")
    private String keywords;

    @ApiModelProperty(name = "type", value = "1.提交时间；2 用户名")
    private Integer type;

    @ApiModelProperty(name = "pageNo", value = "要跳转的页数")
    private Integer pageNo;

    @ApiModelProperty(name = "pageSize", value = "每页的条数")
    private Integer pageSize;

    private List<Long> accountIds;
}
