package com.yizhi.assignment.application.vo;

import java.util.Date;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 显示老师布置的作业列表
 * @author wangfeida
 *
 */
@Data
@Api(tags = "AssignmentListVO", description = "老师布置的作业列表")
public class AssignmentListVO {
	
	@ApiModelProperty(name="id",value="主键id")
	private Long id;     //主键id
	
	
	@ApiModelProperty(name="serialNum",value="作业序号")
	private Long serialNum;     //作业序号
	
	@ApiModelProperty(name="name",value="作业名字")
	private String name;  //作业名字
	
	@ApiModelProperty(name="traingProjectId",value="所属项目id")
	private Long traingProjectId;   //所属项目id
	
	@ApiModelProperty(name="traingProjectName",value="所属项目名字")
	private String traingProjectName;   //所属项目名字
	
	@ApiModelProperty(name="submitNum",value="作业提交数量")
	private Integer submitNum;  //作业提交数量
	
	@ApiModelProperty(name="noRead",value="作业未批阅数量")
	private Integer noRead;//  作业未批阅数量
	
	@ApiModelProperty(name="status",value="作业状态 状态(1：草稿，2：上架，3：下架)")
	private Integer status;//作业状态
	
	@ApiModelProperty(name="endDate",value="要求完成时间")
	private Date endDate;
	
	@ApiModelProperty(name="endDate",value="可见范围(1：平台用户可见，2：指定学员可见)，默认平台用户可见")
	private Integer visibleRange;

	@ApiModelProperty(name="image",value="作业封面")
	private String image;  //作业名字


}
