package com.yizhi.assignment.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;

@Data
@Api(tags = "AssignmentReadListVO", description = "老师布置单个作业，显示学生作业列表")
public class AssignmentReadListVO {

    @ApiModelProperty(name = "", value = "主键id")
    private Long id;

    @ApiModelProperty(name = "accountName", value = "用户名")
    private String accountName;

    @ApiModelProperty(name = "realName", value = "真实姓名")
    private String realName;

    @ApiModelProperty(name = "createTime", value = "作业提交时间")
    private Date createTime;

    @ApiModelProperty(name = "score", value = "分数")
    private Integer score;

    @ApiModelProperty(name = "gradeName", value = "等级")
    private String gradeName;

    @ApiModelProperty(name = "type", value = "1分数2等级")
    private Integer type;

    @ApiModelProperty(name = "status", value = "评阅状态(1:待阅,2:已阅)")
    private Integer status;

    @ApiModelProperty(name = "accountId", value = "用户id")
    private Long accountId;



    @ApiModelProperty(value = "点赞数")
    private int thumbupTimes;

    @ApiModelProperty(value = "评论数")
    private int commentTimes;

    @ApiModelProperty(value = "作业状态0上架,1下架")
    private Integer down;

}
