package com.yizhi.assignment.application.vo;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * 复旦mini mba作业类
 * @author wangfeida
 *
 */
@Data
@Api(tags = "AssignmentListVO", description = "复旦mini mba作业类")
public class MinimbaAssignmentVO {

	@ApiModelProperty(value = "作业提交内容")
	private String content;

	@ApiModelProperty(value = "作业提交时间")
	private Date submitTime;

	@ApiModelProperty(value = "被点赞数")
	private Integer admireNum;

	@ApiModelProperty(value = "被评论数")
	private Integer commentNum;

	@ApiModelProperty(value = "附件列表")
	private List<AccessoryVO> accessoryVOList;
}
