package com.yizhi.application.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import com.baomidou.mybatisplus.enums.FieldFill;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 *
 * </p>
 *
 * @author shengchenglong123
 * @since 2019-10-22
 */
@Data

@TableName("assignment_answer_tipoff")
public class AssignmentAnswerTipoff extends Model<AssignmentAnswerTipoff> {

    private static final long serialVersionUID = 1L;


    
    private Long id;

    
    @TableField("assignment_answer_id")
    private Long assignmentAnswerId;

    
    private String content;

    
    @TableField("img_url")
    private String imgUrl;

    private String company;

    
    @TableField(value = "create_by_id", fill = FieldFill.INSERT)
    private Long createById;

    
    @TableField(value = "create_by_name", fill = FieldFill.INSERT)
    private String createByName;

    
    @TableField(value = "create_time", fill = FieldFill.INSERT)
    private Date createTime;

    
    private Integer status;

    
    @TableField("auditor_id")
    private Long auditorId;

    
    @TableField("audit_content")
    private String auditContent;

    
    @TableField("audit_time")
    private Date auditTime;

    @TableField("is_new")
    private Integer isNew;

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
