package com.yizhi.application.entity;

import com.baomidou.mybatisplus.activerecord.Model;
import com.baomidou.mybatisplus.annotations.TableField;
import com.baomidou.mybatisplus.annotations.TableName;
import lombok.Data;

import java.io.Serializable;

/**
 * <p>
 * 评论点赞记录
 * </p>
 *
 * @author shengchenglong
 * @since 2018-03-27
 */
@Data

@TableName("comment_thumbs_up")
public class CommentThumbsUp extends Model<CommentThumbsUp> {

    private static final long serialVersionUID = 1L;


    
    private Long id;

    
    @TableField("comment_id")
    private Long commentId;

    
    @TableField("account_id")
    private Long accountId;

    
    @TableField(exist = false)
    private Boolean hasThumbsUp;


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

}
